﻿namespace Prism.Sample.FixedModule
{
    using System.ComponentModel.Composition;
    using Microsoft.Practices.Prism.MefExtensions.Modularity;
    using Microsoft.Practices.Prism.Modularity;
    using Microsoft.Practices.Prism.Regions;

    /// <summary>
    /// Sample module.
    /// </summary>
    [ModuleExport(typeof(Module))]
    public class Module : IModule
    {
        /// <summary>
        /// Prism Region Manager.
        /// </summary>
        private readonly IRegionManager regionManager;

        /// <summary>
        /// Initializes a new instance of the <see cref="Module"/> class.
        /// </summary>
        /// <param name="regionManager">The Prism region manager.</param>
        [ImportingConstructor]
        public Module(IRegionManager regionManager)
        {
            this.regionManager = regionManager;
        }

        /// <summary>
        /// Initializes this instance.
        /// </summary>
        public void Initialize()
        {
            this.regionManager.RegisterViewWithRegion("ProductMainRegion", typeof(Views.ProductsListView));
        }
    }
}
