﻿namespace Prism.Sample.FixedModule.ViewModels
{
    using System.Collections.ObjectModel;
    using Prism.Sample.FixedModule.Models;

    /// <summary>
    /// List of Products.
    /// </summary>
    public class ProductsList
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ProductsList"/> class.
        /// </summary>
        public ProductsList()
        {
            this.Products = new ObservableCollection<Product>()
                {
                    new Product() { ProdId = 101, ProdName = "Kriek", Taste = "Sweet" },
                    new Product() { ProdId = 102, ProdName = "Hopus", Taste = "Bitter" },
                    new Product() { ProdId = 103, ProdName = "Heineken", Taste = "None" }
                };
        }

        /// <summary>
        /// Gets the products.
        /// </summary>
        /// <value>
        /// The products.
        /// </value>
        public ObservableCollection<Product> Products { get; private set; }
    }
}
